<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 




	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'pesquisaFrame':
	     $largura=10;
	     $altura=10;			
	if (isset($_POST['chamaFrame'])):
        //echo 
		//'<iframe src="manual2010.php?opcaoManual=registraamostras" style="border:5px dotted red" width="100%" height="350">
		
		
		//</iframe>';//funciona	
	//echo '<iframe src="manual2010.php?opcaoManual=registraamostras" name="iframe_b"></iframe>';
       $largura=600;
	   $altura=100;
	   //$variavel="modulos/EnquadramentoContaminante.php&t=editar";
	   $variavel="testes_od.php";
	   
	   
	   
	   
	endif;
	
	if (isset($_POST['bt_germinacao'])):
		   //echo '<iframe src="testeBarcodeFPDF.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona 
		   //este ai chama uma classe bem bolada
		   echo '<iframe src="testeFundoImagem.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona 
	endif;
	
	if (isset($_POST['bt_abreTela'])):
	    echo("Box testes a realizar<br>");
	    //echo '<iframe src="mudarNumeroAmostra.php" style="border:5px dotted red" width="100%" height="180"></iframe>';	 //funciona  
	    print("<SCRIPT LANGUAGE='JavaScript'>
		window.open('telaPopup.php','','width=600 height=40 left=130 top=300');
		</script>");



	endif;

	
	
	if (isset($_POST['chamaFrame1'])):
	     $variavel="manual2010.php?opcaoManual=dadosintegral";
	     $largura=400;
	     $altura=100;
	endif;	

//aqui so o que realmente funciona para fazer upload
if (isset($_POST['uploade'])):
	$teste=$_FILES['arquivo'];
	echo("loade inicio=".$teste ."  final <br>");
	if( $_FILES ): // Verificando se existe o envio de arquivos.
		echo("Loade inicio=".$uploadfile ."  final<br>");
		if( $_FILES['arquivo'] ): // Verifica se o campo não está vazio.
			//echo  "achou if filesxxxloade inicio=".$uploadfile ."  final";
			//$dir = './arquivos/'; // Diretório que vai receber o arquivo.
			$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/uploads/';
			$tmpName = $_FILES['arquivo']['tmp_name']; // Recebe o arquivo temporário.
			$name = $dir .$_FILES['arquivo']['name']; // Recebe o nome do arquivo.
			if( move_uploaded_file( $tmpName, $name ) ): // move_uploaded_file irá realizar o envio do arquivo.		
			// Em caso de sucesso, retorna para a página de sucesso.	
				printMSG('Upload realizado com sucesso!','alerta');		
			else:
			    printMSG('Não foi possível fazer upload!','alerta'); 
			endif;//verificacao fianal para ver se foi enviado com sucesso
		endif;//fecha o if que testa se o arquivo ffoi localizado
    endif;//fecha o if Verificando se existe o envio de arquivos.
endif;//fecha o if que recebe o botao uploade	
	
	
	?>
<!--<body background="imagemficha2017_verso.JPG">-->

<center><img src="imagemficha2017_verso.JPG" height="300"  width="400" border="0" alt="xxxxxxxx">
	
	</center>
    <fieldset> 
	
	<frameset>
	<p>xxxposso colocar instrucao aquixxxxxuuxxxxxxxxxxxxx</p>

		</frameset>  
	
		<frameset>
	<iframe src="<?php echo $variavel;?> "  style="border:5px dotted red"  style="z-index: 1"      width="<?php echo $largura;?>" height="<?php echo $altura;?>" marginwidth="100"    ></iframe>
		</frameset>  
	     <fieldset>
      <table>
	    <tr>
		  <td>
		  <input type="text" name="teste1" />
		  <input type="submit" name="bt_comando1" />
		  </td>
		</tr>
	    <tr>
		  <td>
		  <input type="text" name="teste1" />
		  <input type="submit" name="bt_comando1" />
		  </td>
		</tr>
	    <tr>
		  <td>
		  <input type="text" name="teste1" />
		  <input type="submit" name="bt_comando1" />
		  </td>
		</tr>
	  
	  
	  
		</table>  
		</fieldset> 
	
	
    <form class="userform" method="POST" action=""   enctype="multipart/form-data">
    
	
	
	<input type="submit" name="chamaFrame" value="aqui chama o manual" />
	<input type="submit" name="chamaFrame1" value="aqui chama o manual1" />
	<input type="submit" name="bt_germinacao" value="germinacao" />
	<input type="submit" name="bt_abreTela" value="Tela popup" />
    <input type="file" name="arquivo" size="60" /><br/>
	<input type="submit" name="uploade" value="Upload de arquivo" />
	
	
<body background="imagemficha2017_verso.JPG">   <!--funfa-->


	</form> 
	
	<!--aqui coloca o codigo de php para ler codigo de barra
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Untitled Document</title>
<script type="text/javascript">
function submeter(){
	document.coder.submit()
}
</script>
</head>

<body>

<?php if(isset($_POST['codigo']) && $_POST['codigo']!=''){
echo "<script>alert('".$_POST['codigo']."');</script>";
}
else
{
	?>
<form name="coder" action="" method="post">
<input type="text" name="codigo" onfocus="if(this.value.length==10){submeter()}" maxlength="10" onchange="if(this.value.length==10){submeter()}"  onkeyup="if(this.value.length==10){submeter()}" onblur="if(this.value.length==10){submeter()}" />
</form>
<?php
}
?>
</body>
</html>
	
	fim do codigo para ler codigo de barra-->
	
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Untitled Document</title>
<script type="text/javascript">
function submeter(){
	document.coder.submit()
}
</script>
</head>
<!--AQUI ESTAVA O BODY-->

<?php if(isset($_POST['codigo']) && $_POST['codigo']!=''){
echo "<script>alert('".$_POST['codigo']."');</script>";
}
else
{
	?>
<form name="coder" action="" method="post">
<input type="text" name="codigo" onfocus="if(this.value.length==10){submeter()}" maxlength="10" onchange="if(this.value.length==10){submeter()}"  onkeyup="if(this.value.length==10){submeter()}" onblur="if(this.value.length==10){submeter()}" />
</form>
<?php
}
?>
</body>
</html>	
	
	

					
       <?php 		 
    break;

 


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>